Subject: Re: [JGIT PATCH 2/2] Move pathOf to RepositoryTestCase and use it for locating test files

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 3 Sep 2008 16:02:16 -0700

Jonas Fonseca <[email-masked]> wrote:
> Shawn O. Pearce <[email-masked]> wrote Wed, Sep 03, 2008:
> > Jonas Fonseca <[email-masked]> wrote:
> > >  This is a workaround patch disguised as a cleanup patch. For NetBeans I
> > >  am not yet sure how to setup JGit as a project where everythng works.
> > >  For now I need to be able to override the path to files used by the
> > >  tests and this patch reduces that change to one single place.
> > 
> > I wonder if we shouldn't just prod Imran to finish the Maven stuff.
> > He has some patches in there that are specifically for this same
> > issue under Maven.
> > 
> >   http://repo.or.cz/w/egit/imyousuf.git?a=shortlog;h=refs/heads/mavenize-jgit
> 
> I think the patch is a nice cleanup, even if it is a workaround. But
> anything that will help to make the build system more shell friendly is
> greatly appreciated.

Its going to cause a merge conflict with Imran's work.  So I was
hoping to avoid that and just take his stuff.  But if we can't wait
then yea, it is a nice cleanup patch and is worthwhile bringing in.

I'll hold onto it for about a day and see if Imran has any comment,
and merge yours if I don't hear anything tomorrow-ish.

-- 
Shawn.